> For a complete page index, fetch https://docs.conduit.xyz/llms.txt # eth_getFilterChanges POST https://rpc.plume.org/YOUR_API_KEY Content-Type: application/json Polling method for a filter, which returns an array of logs which occurred since last poll. For block filters, returns an array of block hashes. For pending transaction filters, returns an array of transaction hashes. ⚡ Compute Units: [20 CU](https://docs.conduit.xyz/rpc-nodes/information/compute-units) Reference: https://docs.conduit.xyz/rpc-nodes/json-rpc-reference/eth-get-filter-changes ## Request ### Body (application/json) This endpoint expects an object. - `filterId` (string, required) — Opaque filter ID returned by eth_newFilter, eth_newBlockFilter, or eth_newPendingTransactionFilter. ## Response ### 200 Array of log objects, or block hashes, or transaction hashes depending on the filter type - `list of EthGetFilterChangesResultItems` ## Types ### EthGetFilterChangesResultItems ### Log - `transactionHash` (string, required) - `removed` (boolean, optional) - `logIndex` (string, optional) - `transactionIndex` (string, optional) - `blockHash` (string, optional) - `blockNumber` (string, optional) - `blockTimestamp` (string, optional) - `address` (string, optional) - `data` (string, optional) - `topics` (list of string, optional) ## Examples **Request** ```json [ "0x9cef478923ff08bf67fde6c64013158d" ] ``` **Response** ```json { "id": "1", "jsonrpc": "2.0", "result": [ { "address": "0x0e71938a7fc2d129d0d203458470bc23c1f65586", "blockHash": "0x2bd30563382f0f786d1d0c7099c8fc536454e7515a833f3f808af455c88c984f", "blockNumber": "0x2daed82", "blockTimestamp": "0x6a3ec2d3", "data": "0x0000000000000000000000000000000000000000000000000000003a692b4f4d000000000000000000000000000000000000000000000000000000006a3ec2d3", "logIndex": "0x0", "removed": false, "topics": [ "0xdd84a3fa9ef9409f550d54d6affec7e9c480c878c6ab27b78912a03e1b371c6e", "0x00000000000000000000000000000000000000000000000045849994fc9c7b15" ], "transactionHash": "0x80c4af58cc21c0df20602b3e75dbc146c3446816c7aeea43c15c02be72b1ea5a", "transactionIndex": "0x1" } ] } ``` **SDK Code** ```python import requests url = "https://rpc.plume.org/YOUR_API_KEY" payload = ["0x9cef478923ff08bf67fde6c64013158d"] headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://rpc.plume.org/YOUR_API_KEY'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '["0x9cef478923ff08bf67fde6c64013158d"]' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://rpc.plume.org/YOUR_API_KEY" payload := strings.NewReader("[\n \"0x9cef478923ff08bf67fde6c64013158d\"\n]") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://rpc.plume.org/YOUR_API_KEY") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "[\n \"0x9cef478923ff08bf67fde6c64013158d\"\n]" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://rpc.plume.org/YOUR_API_KEY") .header("Content-Type", "application/json") .body("[\n \"0x9cef478923ff08bf67fde6c64013158d\"\n]") .asString(); ``` ```php request('POST', 'https://rpc.plume.org/YOUR_API_KEY', [ 'body' => '[ "0x9cef478923ff08bf67fde6c64013158d" ]', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://rpc.plume.org/YOUR_API_KEY"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "[\n \"0x9cef478923ff08bf67fde6c64013158d\"\n]", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = ["0x9cef478923ff08bf67fde6c64013158d"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://rpc.plume.org/YOUR_API_KEY")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```